import { Router } from 'express';
import configController from '../controllers/config.controller';
import { authenticate } from '../middleware/auth.middleware';

const router = Router();
router.get('/external-links', authenticate, configController.getExternalLinks.bind(configController));
router.get('/pdf-settings', authenticate, configController.getPdfSettings.bind(configController));
router.get('/service-mode', authenticate, configController.getServiceMode.bind(configController));

export default router;
